> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ERC-20 balance

> Lists ERC-20 token balances of a wallet address.



## OpenAPI

````yaml get /somnia/v1/address/{walletAddress}/balance/erc20
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/address/{walletAddress}/balance/erc20:
    get:
      tags:
        - Balances
      summary: Get ERC-20 balance
      description: Lists ERC-20 token balances of a wallet address.
      operationId: GetErc20TokenBalanceForAddress
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
        - description: A contract address to filter by.
          in: query
          name: contract-address
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Erc20TokenBalancesResponse'
          description: OK
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    Erc20TokenBalancesResponse:
      properties:
        cursor:
          nullable: true
          type: string
        erc20TokenBalances:
          items:
            $ref: '#/components/schemas/Erc20TokenBalance'
          type: array
        resultCount:
          description: amount of tokens in the response
          type: integer
      required:
        - resultCount
        - erc20TokenBalances
      type: object
    Erc20TokenBalance:
      properties:
        balance:
          type: string
        contract:
          $ref: '#/components/schemas/Contract'
        raw_balance:
          type: string
      required:
        - balance
        - raw_balance
        - contract
      type: object
    Contract:
      properties:
        address:
          description: Contract address
          type: string
        decimals:
          nullable: true
          type: integer
        erc_type:
          description: ERC standard of the token.
          nullable: true
          type: string
        logoUri:
          nullable: true
          type: string
        name:
          description: Name of the token.
          nullable: true
          type: string
        symbol:
          description: Symbol of the token.
          nullable: true
          type: string
      type: object

````